-- TABLICE --

CREATE TABLE L_POS_LOG
(
    ID                              NUMERIC                             NOT NULL,
    ID_KASE                         NUMERIC                             NOT NULL,
    NAZIV                           VARCHAR(80)                                 ,
    NAZIV_KONOBARA                  VARCHAR(80)                                 ,
    UNOS_DATUM                      TIMESTAMP(0)                                ,
    LOG                             VARCHAR(1000)                               ,
    TIP                             VARCHAR(20)                                 ,
    DATUM_VRIJEME                   TIMESTAMP(6)                                ,
    LOG_DATUM                       DATE
);

CREATE TABLE L_POS_LOG_PRINT
(
    ID                              NUMERIC                             NOT NULL,
    ID_KASE                         NUMERIC                             NOT NULL,
    ID_RACUNA                       NUMERIC                             NOT NULL,
    RBR_RACUNA                      NUMERIC                             NOT NULL,
    TIP                             VARCHAR(20)                                 ,
    BR_PRIMJERAKA                   NUMERIC                             NOT NULL,
    NAZIV_KONOBARA                  VARCHAR(80)                                 ,
    DATUM_KASE                      TIMESTAMP(0)                                ,
    DATUM_I_VRIJEME_PRINTA          TIMESTAMP(6)                                ,
    DATUM_I_VRIJEME_RACUNA          TIMESTAMP(6)                                ,
    NAPOMENA                        VARCHAR(1000)                               ,
    LOG_DATUM                       DATE
);

CREATE TABLE L_POS_RACUNI_FISK
(
    ID                              NUMERIC                             NOT NULL,
    ID_RACUNA                       NUMERIC                             NOT NULL,
    ID_FISK_PORUKE                  VARCHAR(36)                                 ,
    DATUM_I_VRIJEME_OBRADE          TIMESTAMP (6)                               ,
    SIFRA_GRESKE                    VARCHAR(4)                                  ,
    PORUKA                          VARCHAR(500)                                ,
    VERZIJA                         NUMERIC                                     ,
    UNOS_KORISNIK                   VARCHAR(30)                                 ,
    UNOS_DATUM                      TIMESTAMP(0)                                ,
    IZMJENA_KORISNIK                VARCHAR(30)                                 ,
    IZMJENA_DATUM                   TIMESTAMP(0)                                ,
    DATUM_BLAGAJNE_FISK             TIMESTAMP(0)
);

CREATE TABLE M_POS_AKCIJE_KONOBARA
(
    ID                              NUMERIC                             NOT NULL,
    ID_KONOBARA                     NUMERIC                             NOT NULL,
    SIFRA_AKCIJE                    VARCHAR(50)                         NOT NULL CHECK (SIFRA_AKCIJE <> ''),
    VERZIJA                         NUMERIC                                     ,
    UNOS_KORISNIK                   VARCHAR(30)                                 ,
    UNOS_DATUM                      TIMESTAMP(0)                                ,
    IZMJENA_KORISNIK                VARCHAR(30)                                 ,
    IZMJENA_DATUM                   TIMESTAMP(0)
);


CREATE TABLE M_POS_ARTIKLI
(
    ID                              NUMERIC                             NOT NULL,
    ID_KASE                         NUMERIC                             NOT NULL,
    SIFRA                           VARCHAR(20)                         NOT NULL CHECK (SIFRA <> ''),
    NAZIV                           VARCHAR(40)                         NOT NULL CHECK (NAZIV <> ''),
    ID_POREZNE_GRUPE                NUMERIC                             NOT NULL,
    IZMJENJIVA_CIJENA               VARCHAR(1)    DEFAULT ('N')         NOT NULL CHECK (IZMJENJIVA_CIJENA <> ''),
    POSTOTAK_RACUNA                 VARCHAR(1)    DEFAULT ('N')         NOT NULL CHECK (POSTOTAK_RACUNA <> ''),
    GAS_ID                          NUMERIC                                     ,
    VERZIJA                         NUMERIC                                     ,
    UNOS_KORISNIK                   VARCHAR(30)                                 ,
    UNOS_DATUM                      TIMESTAMP(0)                                ,
    IZMJENA_KORISNIK                VARCHAR(30)                                 ,
    IZMJENA_DATUM                   TIMESTAMP(0)                                ,
    BAR_CODE                        VARCHAR(20)                                 ,
    KRACI_NAZIV                     VARCHAR(30)                                 ,
    ID_KALKULACIJE                  NUMERIC                                     ,
    POVRATNA_NAKNADA                NUMERIC(5,2)  DEFAULT (0)           NOT NULL,
    KNJIGOVODSTVENA_GRUPA           VARCHAR(2)                                  ,
    TEHNOLOSKA_GRUPA                VARCHAR(40)                                 ,
    PARAMETAR                       VARCHAR(50)   DEFAULT ''                    ,
    OZN_PROIZVODA                   NUMERIC(2,0)                                ,
    KOMENTARI                       VARCHAR(1000)                               ,
    SUBTOTAL                        NUMERIC       DEFAULT -1
);

CREATE TABLE M_POS_ARTIKLI_CJENIKA
(
    ID                              NUMERIC                             NOT NULL,
    ID_CJENIKA                      NUMERIC                             NOT NULL,
    ID_MJESTA_TROSKA                NUMERIC                             NOT NULL,
    ID_ARTIKLA                      NUMERIC                             NOT NULL,
    CIJENA                          NUMERIC(13,2)                       NOT NULL,
    MAKSIMALAN_POPUST               NUMERIC(5,2)  DEFAULT (0)           NOT NULL,
    OBAVEZAN_POPUST                 NUMERIC(5,2)  DEFAULT (0)           NOT NULL,
    AKTIVNO                         VARCHAR(1)    DEFAULT ('Y')         NOT NULL CHECK (AKTIVNO <> ''),
    VERZIJA                         NUMERIC                                     ,
    UNOS_KORISNIK                   VARCHAR(30)                                 ,
    UNOS_DATUM                      TIMESTAMP(0)                                ,
    IZMJENA_KORISNIK                VARCHAR(30)                                 ,
    IZMJENA_DATUM                   TIMESTAMP(0)
);

CREATE TABLE M_POS_CHRON_JOB
(
    ID                              NUMERIC                             NOT NULL,
    ID_KASE                         NUMERIC                             NOT NULL,
    NAZIV                           VARCHAR(200)                        NOT NULL CHECK (NAZIV <> ''),
    VRIJEME                         TIMESTAMP(0)                        NOT NULL,
    PERIOD                          NUMERIC                                     ,
    CONSUMES                        NUMERIC                                     ,
    AKTIVNO                         VARCHAR(1)    DEFAULT ('Y')         NOT NULL CHECK (AKTIVNO <> ''),
    VERZIJA                         NUMERIC                                     ,
    UNOS_KORISNIK                   VARCHAR(30)                                 ,
    UNOS_DATUM                      TIMESTAMP(0)                                ,
    IZMJENA_KORISNIK                VARCHAR(30)                                 ,
    IZMJENA_DATUM                   TIMESTAMP(0)                                ,
    SIFRA                           VARCHAR(40)                                 ,
    PARAMETAR                       VARCHAR(250)  DEFAULT ''                    ,
    TIP_PONAVLJANJA                 VARCHAR(30)   DEFAULT ''                    ,
    DANI_PONAVLJANJA                VARCHAR(30)   DEFAULT ''                    ,
    VRIJEME_ZAVRSAVA                TIMESTAMP(0)
);


CREATE TABLE M_POS_CJENICI
(
    ID                              NUMERIC                             NOT NULL,
    ID_KASE                         NUMERIC                             NOT NULL,
    SIFRA                           VARCHAR(20)                         NOT NULL CHECK (SIFRA <> ''),
    NAZIV                           VARCHAR(40)                         NOT NULL CHECK (NAZIV <> ''),
    GAS_ID                          NUMERIC                                     ,
    AKTIVNO                         VARCHAR(1)    DEFAULT ('Y')         NOT NULL CHECK (AKTIVNO <> ''),
    VERZIJA                         NUMERIC                                     ,
    UNOS_KORISNIK                   VARCHAR(30)                                 ,
    UNOS_DATUM                      TIMESTAMP(0)                                ,
    IZMJENA_KORISNIK                VARCHAR(30)                                 ,
    IZMJENA_DATUM                   TIMESTAMP(0)                                ,
    MJESTO_PRIHODA                  VARCHAR(5)
);

CREATE TABLE M_POS_CJENICI_KONOBARA
(
    ID                              NUMERIC                             NOT NULL,
    ID_CJENIKA                      NUMERIC                             NOT NULL,
    ID_KONOBARA                     NUMERIC                             NOT NULL,
    VERZIJA                         NUMERIC                                     ,
    UNOS_KORISNIK                   VARCHAR(30)                                 ,
    UNOS_DATUM                      TIMESTAMP(0)                                ,
    IZMJENA_KORISNIK                VARCHAR(30)                                 ,
    IZMJENA_DATUM                   TIMESTAMP(0)
);

CREATE TABLE M_POS_CJENICI_VN
(
    ID                              NUMERIC                             NOT NULL,
    ID_CJENIKA                      NUMERIC                             NOT NULL,
    ID_VRSTE_NAPLATE                NUMERIC                             NOT NULL,
    AKTIVNO                         VARCHAR(1)    DEFAULT ('Y')         NOT NULL CHECK (AKTIVNO <> ''),
    VERZIJA                         NUMERIC                                     ,
    UNOS_KORISNIK                   VARCHAR(30)                                 ,
    UNOS_DATUM                      TIMESTAMP(0)                                ,
    IZMJENA_KORISNIK                VARCHAR(30)                                 ,
    IZMJENA_DATUM                   TIMESTAMP(0)
);

CREATE TABLE M_POS_GRUPE_KASA
(
    ID                              NUMERIC                             NOT NULL,
    SIFRA                           VARCHAR(20)                         NOT NULL CHECK (SIFRA <> ''),
    NAZIV                           VARCHAR(40)                                 ,
    VERZIJA                         NUMERIC                                     ,
    UNOS_KORISNIK                   VARCHAR(30)                                 ,
    UNOS_DATUM                      TIMESTAMP(0)                                ,
    IZMJENA_KORISNIK                VARCHAR(30)                                 ,
    IZMJENA_DATUM                   TIMESTAMP(0)
);

CREATE TABLE M_POS_SLIJEDOVI
(
    ID                              NUMERIC                             NOT NULL,
    ID_KASE                         NUMERIC                             NOT NULL,
    NAZIV                           VARCHAR(40)                         NOT NULL CHECK (NAZIV <> ''),
    VERZIJA                         NUMERIC                                     ,
    REDOSLIJED                      NUMERIC       DEFAULT (0)           NOT NULL,
    UNOS_KORISNIK                   VARCHAR(30)                                 ,
    UNOS_DATUM                      TIMESTAMP(0)                                ,
    IZMJENA_KORISNIK                VARCHAR(30)                                 ,
    IZMJENA_DATUM                   TIMESTAMP(0)
);

CREATE TABLE M_POS_KASA_PARAMETRI
(
    ID                              NUMERIC                             NOT NULL,
    ID_KASE                         NUMERIC                             NOT NULL,
    TIP                             VARCHAR(20)                         NOT NULL CHECK (TIP <> ''),
    KEY                             VARCHAR(80)                         NOT NULL CHECK (KEY <> ''),
    VALUE                           VARCHAR(200) DEFAULT ''                    ,
    VERZIJA                         NUMERIC                                     ,
    UNOS_KORISNIK                   VARCHAR(60)                                 ,
    UNOS_DATUM                      TIMESTAMP(0)                                ,
    IZMJENA_KORISNIK                VARCHAR(60)                                 ,
    IZMJENA_DATUM                   TIMESTAMP(0)
);

CREATE TABLE M_POS_KASE
(
    ID                              NUMERIC                             NOT NULL,
    NAZIV                           VARCHAR(40)                         NOT NULL CHECK (NAZIV <> ''),
    SIFRA                           VARCHAR(20)                         NOT NULL CHECK (SIFRA <> ''),
    ID_GRUPE_KASA                   NUMERIC                                     ,
    DEFAULT_SMJESTAJNI_OBJEKT       VARCHAR(10)                                 ,
    GODINA                          VARCHAR(10)                                 ,
    DATUM                           TIMESTAMP(0)                                ,
    DEFAULT_CJENIK                  VARCHAR(20)                                 ,
    JEDAN_CJENIK_PO_RACUNU          VARCHAR(1)    DEFAULT ('Y')         NOT NULL CHECK (JEDAN_CJENIK_PO_RACUNU <> ''),
    DEFAULT_VRSTA_NAPLATE           VARCHAR(20)                                 ,
    VISE_NAPLATA                    VARCHAR(1)    DEFAULT ('Y')         NOT NULL CHECK (VISE_NAPLATA <> ''),
    TECAJ                           NUMERIC(15,8)                               ,
    KOREKCIJA_TECAJA                NUMERIC(5,4)                                ,
    VALUTA                          VARCHAR(3)                                  ,
    DOMACA_VALUTA                   VARCHAR(3)                                  ,
    PRIKAZ_PROTUVRIJEDNOSTI         VARCHAR(1)    DEFAULT 'N'           NOT NULL CHECK (PRIKAZ_PROTUVRIJEDNOSTI <> ''),
    DOZVOLJEN_UNOS                  VARCHAR(1)    DEFAULT ('N')         NOT NULL CHECK (DOZVOLJEN_UNOS <> ''),
    MAX_BROJ_ISPISA_RACUNA          NUMERIC                                     ,
    PRIJAVA_PRI_NAPLATI             VARCHAR(1)    DEFAULT ('Y')         NOT NULL CHECK (PRIJAVA_PRI_NAPLATI <> ''),
    NARUDZBE_UZ_NAPLATU             VARCHAR(1)    DEFAULT ('Y')         NOT NULL CHECK (NARUDZBE_UZ_NAPLATU <> ''),
    NARUDZBE_UZ_IZLAZ               VARCHAR(1)    DEFAULT ('Y')         NOT NULL CHECK (NARUDZBE_UZ_IZLAZ <> ''),
    PRIJENOS_OTVORENIH              VARCHAR(1)    DEFAULT ('N')         NOT NULL CHECK (PRIJENOS_OTVORENIH <> ''),
    GAS_ID                          NUMERIC                                     ,
    AKTIVNO                         VARCHAR(1)    DEFAULT ('Y')         NOT NULL,
    VERZIJA                         NUMERIC                                     ,
    UNOS_KORISNIK                   VARCHAR(30)                                 ,
    UNOS_DATUM                      TIMESTAMP(0)                                ,
    IZMJENA_KORISNIK                VARCHAR(30)                                 ,
    IZMJENA_DATUM                   TIMESTAMP(0)                                ,
    BROJ_ISPISA_KOREKCIJA           NUMERIC       DEFAULT 1             NOT NULL,
    IZVOZ_PRI_ZATVARANJU            VARCHAR(1)    DEFAULT 'Y'           NOT NULL CHECK (IZVOZ_PRI_ZATVARANJU <> ''),
    DEFAULT_OJ                      VARCHAR(10)                                 ,
    PRIKAZ_BROJA_GOSTIJU            VARCHAR(1)    DEFAULT ('N')         NOT NULL CHECK (PRIKAZ_BROJA_GOSTIJU <> ''),
    OBAVEZAN_UNOS_BROJA_GOSTIJU     VARCHAR(1)    DEFAULT ('N')         NOT NULL CHECK (OBAVEZAN_UNOS_BROJA_GOSTIJU <> ''),
    OBAVEZAN_UNOS_BROJA_STOLA       VARCHAR(1)    DEFAULT ('N')         NOT NULL CHECK (OBAVEZAN_UNOS_BROJA_STOLA <> ''),
    RAD_OTVORENIM_RACUNIMA          VARCHAR(1)    DEFAULT ('N')         NOT NULL CHECK (RAD_OTVORENIM_RACUNIMA <> ''),
    NAPLATA_NA_DAN_ODLASKA          VARCHAR(1)    DEFAULT ('N')         NOT NULL CHECK (NAPLATA_NA_DAN_ODLASKA <> ''),
    PRIKAZ_OSNOVICE_NA_RACUNU       VARCHAR(1)    DEFAULT ('Y')         NOT NULL CHECK (PRIKAZ_OSNOVICE_NA_RACUNU <> ''),
    POSL_POSTOR                     VARCHAR(11)                                 ,
    OIB                             VARCHAR(11)                                 ,
    U_SUSTAVU_PDV                   VARCHAR(1)    DEFAULT ('N')         NOT NULL CHECK (U_SUSTAVU_PDV <> ''),
    FISKALIZACIJA                   TIMESTAMP(0)                                ,
    ISPIS_GRUPE_STAVAKA             VARCHAR(1)    DEFAULT ('N')         NOT NULL CHECK (ISPIS_GRUPE_STAVAKA <> ''),
    UNOS_STORNO_NAPOMENE            VARCHAR(1)    DEFAULT ('Y')         NOT NULL CHECK (UNOS_STORNO_NAPOMENE <> ''),
    VISE_KORISNIKA_PO_STOLU         VARCHAR(1)    DEFAULT ('N')         NOT NULL CHECK (VISE_KORISNIKA_PO_STOLU <> ''),
    OFLINE                          VARCHAR(1)    DEFAULT ('N')         NOT NULL CHECK (OFLINE <> ''),
    FISK_SUSTAV                     VARCHAR(10)                                 ,
    LOY_SUSTAV                      VARCHAR(1)    DEFAULT ('N')         NOT NULL CHECK (LOY_SUSTAV <> ''),
    CENTRALNI_KONOBARI              VARCHAR(1)    DEFAULT ('N')         NOT NULL CHECK (CENTRALNI_KONOBARI <> ''),
    KASA_PODACI                     VARCHAR(150)                                ,
    ONLINE_PRIJEPIS_PROMETA         VARCHAR(1)    DEFAULT 'N'           NOT NULL CHECK (ONLINE_PRIJEPIS_PROMETA <> ''),
    DOZVOLJEN_RAD                   VARCHAR(1)   DEFAULT ('Y')         NOT NULL
);

CREATE TABLE M_POS_KOMPONENTE_STOLA
(
    ID                              NUMERIC                             NOT NULL,
    BROJ_STOLA                      NUMERIC                                     ,
    BROJ_STOLICA                    NUMERIC                                     ,
    X                               NUMERIC                                     ,
    Y                               NUMERIC                                     ,
    WIDTH                           NUMERIC                                     ,
    HEIGHT                          NUMERIC                                     ,
    TIP                             VARCHAR(30)                         NOT NULL CHECK (TIP <> ''),
    BG_COLOR                        NUMERIC                                     ,
    ID_LAYOUTA_STOLA                NUMERIC
);

CREATE TABLE M_POS_KONOBARI
(
    ID                              NUMERIC                             NOT NULL,
    ID_KASE                         NUMERIC                             NOT NULL,
    SIFRA                           VARCHAR(20)                         NOT NULL CHECK (SIFRA <> ''),
    IME                             VARCHAR(40)                         NOT NULL CHECK (IME <> ''),
    LOZINKA                         VARCHAR(40)                         NOT NULL CHECK (LOZINKA <> ''),
    GAS_ID                          NUMERIC                                     ,
    AKTIVNO                         VARCHAR(1)    DEFAULT ('Y')         NOT NULL CHECK (AKTIVNO <> ''),
    VERZIJA                         NUMERIC                                     ,
    UNOS_KORISNIK                   VARCHAR(30)                                 ,
    UNOS_DATUM                      TIMESTAMP(0)                                ,
    IZMJENA_KORISNIK                VARCHAR(30)                                 ,
    IZMJENA_DATUM                   TIMESTAMP(0)                                ,
    OMAN_LOZINKA                    VARCHAR(40)   DEFAULT ''                    ,
    OIB                             VARCHAR(11)                                 ,
    FOREIGN_OPERATOR                VARCHAR(1)    DEFAULT ('N')         NOT NULL CHECK (FOREIGN_OPERATOR <> ''),
    NAZIV_ZA_ISPIS                  VARCHAR(40)                         NOT NULL CHECK (NAZIV_ZA_ISPIS <> '')
);

CREATE TABLE M_POS_KONOBARI_LOZINKE
(
    ID                              NUMERIC                             NOT NULL,
    ID_KONOBARA                     NUMERIC                             NOT NULL,
    LOZINKA                         VARCHAR(40)                         NOT NULL CHECK (LOZINKA <> ''),
    VERZIJA                         NUMERIC                                     ,
    UNOS_KORISNIK                   VARCHAR(30)                                 ,
    UNOS_DATUM                      TIMESTAMP(0)                                ,
    IZMJENA_KORISNIK                VARCHAR(30)                                 ,
    IZMJENA_DATUM                   TIMESTAMP(0)
);

CREATE TABLE M_POS_KUPCI
(
    ID                              NUMERIC                             NOT NULL,
    SIFRA                           VARCHAR(30)                         NOT NULL CHECK (SIFRA <> ''),
    NAZIV                           VARCHAR(80)                         NOT NULL CHECK (NAZIV <> ''),
    ADRESA                          VARCHAR(40)                         NOT NULL CHECK (ADRESA <> ''),
    POSTANSKI_BROJ                  VARCHAR(5)                          NOT NULL CHECK (POSTANSKI_BROJ <> ''),
    GRAD                            VARCHAR(40)                         NOT NULL CHECK (GRAD <> ''),
    FAKS                            VARCHAR(30)                                 ,
    VERZIJA                         NUMERIC                                     ,
    UNOS_KORISNIK                   VARCHAR(30)                                 ,
    UNOS_DATUM                      TIMESTAMP(0)                                ,
    IZMJENA_KORISNIK                VARCHAR(30)                                 ,
    IZMJENA_DATUM                   TIMESTAMP(0)                                ,
    OIB                             VARCHAR(11)                         NOT NULL
);

CREATE TABLE M_POS_LAYOUT_STOLA
(
    ID                              NUMERIC                             NOT NULL,
    ID_KASE                         NUMERIC                             NOT NULL,
    NAZIV                           VARCHAR(30)                         NOT NULL CHECK (NAZIV <> ''),
    REDOSLJED                       NUMERIC       DEFAULT 0             NOT NULL,
    SLIKA                           BYTEA                                       ,
    ZADANI_SLOJ                     VARCHAR(1)    DEFAULT ('N')         NOT NULL CHECK (ZADANI_SLOJ <> '')
);

CREATE TABLE M_POS_MENU_ARTIKAL
(
    ID_ITEM                         NUMERIC                             NOT NULL,
    ID_ARTIKLA                      NUMERIC                                     ,
    ARTIKAL_SIFRA                   VARCHAR(20)                                 ,
    PARAMETAR                       NUMERIC
);

CREATE TABLE M_POS_MENU_FUNKCIJE
(
    ID_ITEM                         NUMERIC                             NOT NULL,
    SIFRA                           VARCHAR(50)                         NOT NULL CHECK (SIFRA <> ''),
    AKCIJA                          VARCHAR(255)
);

CREATE TABLE M_POS_MENU_ITEM
(
    ID                              NUMERIC                             NOT NULL,
    ID_MENU_SLOJ                    NUMERIC                             NOT NULL,
    POS_X                           NUMERIC                                     ,
    POS_Y                           NUMERIC                                     ,
    BGCOLOR                         NUMERIC                                     ,
    FGCOLOR                         NUMERIC                                     ,
    MENU_NAZIV                      VARCHAR(40)                         NOT NULL CHECK (MENU_NAZIV <> ''),
    IMAGE                           BYTEA                                       ,
    VERZIJA                         NUMERIC                                     ,
    UNOS_KORISNIK                   VARCHAR(30)                                 ,
    UNOS_DATUM                      TIMESTAMP(0)                                ,
    IZMJENA_KORISNIK                VARCHAR(30)                                 ,
    IZMJENA_DATUM                   TIMESTAMP(0)                                ,
    VELICINA_FONTA                  NUMERIC       DEFAULT (12)          NOT NULL,
    DULJINA_JEDNOG_RETKA            NUMERIC       DEFAULT (10)          NOT NULL,
    FONT_BOLD                       VARCHAR(1)    DEFAULT ('N')         NOT NULL CHECK (FONT_BOLD <> '')
);

CREATE TABLE M_POS_MENU_SLOJ
(
    ID                              NUMERIC                             NOT NULL,
    ID_KASE                         NUMERIC                             NOT NULL,
    NAZIV                           VARCHAR(20)                         NOT NULL CHECK (NAZIV <> ''),
    SIRINA                          NUMERIC                             NOT NULL,
    VISINA                          NUMERIC                             NOT NULL,
    REDOSLJED                       NUMERIC                             NOT NULL,
    TIP                             NUMERIC       DEFAULT (0)           NOT NULL,
    BGCOLOR                         NUMERIC                                     ,
    FGCOLOR                         NUMERIC                                     ,
    VERZIJA                         NUMERIC                                     ,
    UNOS_KORISNIK                   VARCHAR(30)                                 ,
    UNOS_DATUM                      TIMESTAMP(0)                                ,
    IZMJENA_KORISNIK                VARCHAR(30)                                 ,
    IZMJENA_DATUM                   TIMESTAMP(0)                                ,
    VELICINA_FONTA                  NUMERIC       DEFAULT (12)          NOT NULL,
    FONT_BOLD                       VARCHAR(1)    DEFAULT ('N')         NOT NULL CHECK (FONT_BOLD <> '')
);

CREATE TABLE M_POS_MJESTA_TROSKA
(
    ID                              NUMERIC                             NOT NULL,
    ID_KASE                         NUMERIC                             NOT NULL,
    SIFRA                           VARCHAR(20)                         NOT NULL CHECK (SIFRA <> ''),
    NAZIV                           VARCHAR(40)                         NOT NULL CHECK (NAZIV <> ''),
    ISPIS_NARUDZBE                  VARCHAR(1)    DEFAULT ('N')         NOT NULL CHECK (ISPIS_NARUDZBE <> ''),
    GAS_ID                          NUMERIC                                     ,
    AKTIVNO                         VARCHAR(1)    DEFAULT ('Y')         NOT NULL CHECK (AKTIVNO <> ''),
    VERZIJA                         NUMERIC                                     ,
    UNOS_KORISNIK                   VARCHAR(30)                                 ,
    UNOS_DATUM                      TIMESTAMP(0)                                ,
    IZMJENA_KORISNIK                VARCHAR(30)                                 ,
    IZMJENA_DATUM                   TIMESTAMP(0)
);

CREATE TABLE M_POS_PARAMETAR
(
    ID                              NUMERIC                             NOT NULL,
    KEY                             VARCHAR(255)                        NOT NULL CHECK (KEY <> ''),
    VALUE                           VARCHAR(255)                                ,
    VERZIJA                         NUMERIC                                     ,
    UNOS_KORISNIK                   VARCHAR(60)                                 ,
    UNOS_DATUM                      TIMESTAMP(0)                                ,
    IZMJENA_KORISNIK                VARCHAR(60)                                 ,
    IZMJENA_DATUM                   TIMESTAMP(0)
);

CREATE TABLE M_POS_PID
(
    ID                              NUMERIC                             NOT NULL,
    POREZNI_DOGADJAJ_ID             NUMERIC                             NOT NULL,
    POCETNA_ISPORUKA_ID             NUMERIC                             NOT NULL,
    ZAVRSNA_ISPORUKA_ID             NUMERIC                             NOT NULL,
    AKTIVNO                         VARCHAR(1)    DEFAULT ('Y')         NOT NULL CHECK (AKTIVNO <> ''),
    VERZIJA                         NUMERIC                                     ,
    UNOS_KORISNIK                   VARCHAR(30)                                 ,
    UNOS_DATUM                      TIMESTAMP(0)                                ,
    IZMJENA_KORISNIK                VARCHAR(30)                                 ,
    IZMJENA_DATUM                   TIMESTAMP(0)
);

CREATE TABLE M_POS_POREZNA_ISPORUKA
(
    ID                              NUMERIC                             NOT NULL,
    ID_KASE                         NUMERIC                             NOT NULL,
    SIFRA                           VARCHAR(20)                         NOT NULL CHECK (SIFRA <> ''),
    NAZIV                           VARCHAR(40)                         NOT NULL,
    STOPA                           NUMERIC                                     ,
    AKTIVNO                         VARCHAR(1)    DEFAULT ('Y')         NOT NULL CHECK (SIFRA <> '') CHECK (AKTIVNO <> ''),
    GAS_ID                          NUMERIC                                     ,
    VERZIJA                         NUMERIC                                     ,
    UNOS_KORISNIK                   VARCHAR(30)                                 ,
    UNOS_DATUM                      TIMESTAMP(0)                                ,
    IZMJENA_KORISNIK                VARCHAR(30)                                 ,
    IZMJENA_DATUM                   TIMESTAMP(0)                                ,
    SZMP_SIFRA                      VARCHAR(10)
);

CREATE TABLE M_POS_POREZNE_GRUPE
(
    ID                              NUMERIC                             NOT NULL,
    ID_KASE                         NUMERIC                             NOT NULL,
    SIFRA                           VARCHAR(20)                         NOT NULL CHECK (SIFRA <> ''),
    NAZIV                           VARCHAR(40)                         NOT NULL CHECK (NAZIV <> ''),
    PDV                             NUMERIC(5,4)                                ,
    PPOT                            NUMERIC(5,4)                                ,
    POC_PI_ID                       NUMERIC                                     ,
    ZAV_PI_ID                       NUMERIC                                     ,
    GAS_ID                          NUMERIC                                     ,
    AKTIVNO                         VARCHAR(1)    DEFAULT ('Y')         NOT NULL CHECK (AKTIVNO <> ''),
    VERZIJA                         NUMERIC                                     ,
    UNOS_KORISNIK                   VARCHAR(30)                                 ,
    UNOS_DATUM                      TIMESTAMP(0)                                ,
    IZMJENA_KORISNIK                VARCHAR(30)                                 ,
    IZMJENA_DATUM                   TIMESTAMP(0)
);

CREATE TABLE M_POS_POREZNI_DOGADJAJ
(
    ID                              NUMERIC                             NOT NULL,
    ID_KASE                         NUMERIC                             NOT NULL,
    SIFRA                           VARCHAR(20)                         NOT NULL CHECK (SIFRA <> ''),
    NAZIV                           VARCHAR(40)                         NOT NULL CHECK (NAZIV <> ''),
    AKTIVNO                         VARCHAR(1)    DEFAULT ('Y')         NOT NULL CHECK (SIFRA <> '') CHECK (AKTIVNO <> ''),
    GAS_ID                          NUMERIC                                     ,
    VERZIJA                         NUMERIC                                     ,
    UNOS_KORISNIK                   VARCHAR(30)                                 ,
    UNOS_DATUM                      TIMESTAMP(0)                                ,
    IZMJENA_KORISNIK                VARCHAR(30)                                 ,
    IZMJENA_DATUM                   TIMESTAMP(0)                                ,
    OPIS VARCHAR(40)                              DEFAULT ''
);

CREATE TABLE M_POS_PRINT_PARAMETRI
(
    ID_KASE                         NUMERIC                             NOT NULL,
    RACUN_HEADER                    VARCHAR(2000)                               ,
    RACUN_FOOTER                    VARCHAR(2000)                               ,
    VERZIJA                         NUMERIC                                     ,
    UNOS_KORISNIK                   VARCHAR(15)                                 ,
    UNOS_DATUM                      TIMESTAMP(0)                                ,
    IZMJENA_KORISNIK                VARCHAR(30)                                 ,
    IZMJENA_DATUM                   TIMESTAMP(0)                                ,
    IMAGE_60                        BYTEA                                       ,
    IMAGE_80                        BYTEA                                       ,
    IMAGE_A4                        BYTEA                                       ,
    KORISTI_IMAGE_60                VARCHAR(1)    DEFAULT ('N')         NOT NULL CHECK (KORISTI_IMAGE_60 <> ''),
    KORISTI_IMAGE_80                VARCHAR(1)    DEFAULT ('N')         NOT NULL CHECK (KORISTI_IMAGE_80 <> ''),
    KORISTI_IMAGE_A4                VARCHAR(1)    DEFAULT ('N')         NOT NULL CHECK (KORISTI_IMAGE_A4 <> ''),
    KORISTI_ZAGLAVLJE_60            VARCHAR(1)    DEFAULT ('Y')         NOT NULL CHECK (KORISTI_ZAGLAVLJE_60 <> ''),
    KORISTI_ZAGLAVLJE_80            VARCHAR(1)    DEFAULT ('Y')         NOT NULL CHECK (KORISTI_ZAGLAVLJE_80 <> ''),
    KORISTI_ZAGLAVLJE_A4            VARCHAR(1)    DEFAULT ('Y')         NOT NULL CHECK (KORISTI_ZAGLAVLJE_A4 <> '')
);

CREATE TABLE M_POS_PROTEL_POREZ
(
    ID                              NUMERIC                             NOT NULL,
    STOPA_PDV                       NUMERIC                                     ,
    STOPA_PPOT                      NUMERIC(5,2)                                ,
    SIFRA                           NUMERIC                             NOT NULL,
    VERZIJA                         NUMERIC                                     ,
    UNOS_KORISNIK                   VARCHAR(30)                                 ,
    UNOS_DATUM                      TIMESTAMP(0)                                ,
    IZMJENA_KORISNIK                VARCHAR(30)                                 ,
    IZMJENA_DATUM                   TIMESTAMP(0)
);

CREATE TABLE M_POS_VNS
(
    ID                              NUMERIC                             NOT NULL,
    ID_KASE                         NUMERIC                             NOT NULL,
    ID_VRSTANAPLATE                 NUMERIC                             NOT NULL,
    SLIKA                           BYTEA                               NOT NULL,
    VERZIJA                         NUMERIC                                     ,
    UNOS_KORISNIK                   VARCHAR(30)                                 ,
    UNOS_DATUM                      TIMESTAMP(0)                                ,
    IZMJENA_KORISNIK                VARCHAR(30)                                 ,
    IZMJENA_DATUM                   TIMESTAMP(0)
);

CREATE TABLE M_POS_VRSTE_NAPLATE
(
    ID                              NUMERIC                             NOT NULL,
    ID_KASE                         NUMERIC                             NOT NULL,
    SIFRA                           VARCHAR(20)                         NOT NULL CHECK (SIFRA <> ''),
    NAZIV                           VARCHAR(40)                         NOT NULL CHECK (NAZIV <> ''),
    IRN                             NUMERIC                                     ,
    OBR                             VARCHAR(1)    DEFAULT ('Y')         NOT NULL CHECK (OBR <> ''),
    OBAVEZNI_PODACI                 VARCHAR(1)    DEFAULT ('Y')         NOT NULL CHECK (OBAVEZNI_PODACI <> ''),
    BR_KOPIJA                       NUMERIC(1,0)  DEFAULT (1)           NOT NULL,
    PLUGIN_TIP                      NUMERIC                             NOT NULL,
    GAS_ID                          NUMERIC                                     ,
    VERZIJA                         NUMERIC                                     ,
    UNOS_KORISNIK                   VARCHAR(30)                                 ,
    UNOS_DATUM                      TIMESTAMP(0)                                ,
    IZMJENA_KORISNIK                VARCHAR(30)                                 ,
    IZMJENA_DATUM                   TIMESTAMP(0)                                ,
    FISKALIZACIJA                   VARCHAR(1)    DEFAULT ('N')         NOT NULL CHECK (FISKALIZACIJA <> ''),
    REDOSLJED                       NUMERIC       DEFAULT (100)         NOT NULL,
    CARD_ISSUER                     VARCHAR(40)
);

CREATE TABLE T_POS_DETALJI_NAPLATE
(
    ID                              NUMERIC                             NOT NULL,
    ID_NAPLATE_RACUNA               NUMERIC                             NOT NULL,
    NAZIV                           VARCHAR(255)                        NOT NULL CHECK (NAZIV <> ''),
    VRIJEDNOST                      VARCHAR(255)                                ,
    VERZIJA                         NUMERIC                                     ,
    UNOS_KORISNIK                   VARCHAR(30)                                 ,
    UNOS_DATUM                      TIMESTAMP(0)                                ,
    IZMJENA_KORISNIK                VARCHAR(30)                                 ,
    IZMJENA_DATUM                   TIMESTAMP(0)
);


CREATE TABLE T_POS_INTERNET_TICKETI
(
    ID                              NUMERIC                             NOT NULL,
    ID_KASE                         NUMERIC                             NOT NULL,
    ID_SO                           NUMERIC                                     ,
    ID_RACUNA                       NUMERIC                                     ,
    ID_STAVKE                       NUMERIC                                     ,
    ID_GOSTA                        NUMERIC                                     ,
    REDNI_BROJ_NARUDZBE             NUMERIC                                     ,
    DATUM_ZAHTJEVA                  TIMESTAMP(0)                        NOT NULL,
    DATUM_ISTEKA                    TIMESTAMP(6)                                ,
    TRAJANJE                        NUMERIC                                     ,
    KONOBAR                         VARCHAR(30)                         NOT NULL CHECK (KONOBAR <> ''),
    GODINA                          VARCHAR(4)                          NOT NULL CHECK (GODINA <> ''),
    USERNAME                        VARCHAR(10)                         NOT NULL CHECK (USERNAME <> ''),
    PASSWORD                        VARCHAR(10)                         NOT NULL CHECK (PASSWORD <> ''),
    NAPOMENA                        VARCHAR(240)
);

CREATE TABLE T_POS_NAPLATE_RACUNA
(
    ID                              NUMERIC                             NOT NULL,
    ID_RACUNA                       NUMERIC                             NOT NULL,
    ID_CJENICI_VN                   NUMERIC                             NOT NULL,
    BROJ_GOSTIJU                    NUMERIC                             NOT NULL,
    VERZIJA                         NUMERIC                                     ,
    UNOS_KORISNIK                   VARCHAR(30)                                 ,
    UNOS_DATUM                      TIMESTAMP(0)                                ,
    IZMJENA_KORISNIK                VARCHAR(30)                                 ,
    IZMJENA_DATUM                   TIMESTAMP(0)                                ,
    SREDSTVO_PLA_NAZIV              VARCHAR(70)                                 ,
    POPUST_TIP                      VARCHAR(20)   DEFAULT ('POSTOTAK')  NOT NULL CHECK (POPUST_TIP <> ''),
    STOPA_POPUST                    NUMERIC(5,2)  DEFAULT (0)           NOT NULL,
    IZNOS_POPUST                    NUMERIC(12,2) DEFAULT (0)           NOT NULL,
    TOTAL                           NUMERIC(12,2) DEFAULT (0)           NOT NULL,
    SREDSTVO_PLA_SIFRA              VARCHAR(10)                                 ,
    REDNI_BROJ                      NUMERIC       DEFAULT (1)           NOT NULL,
    EXPORT_VANJSKI_SUSTAV           VARCHAR(1)    DEFAULT ('N')         NOT NULL CHECK (EXPORT_VANJSKI_SUSTAV <> '')
);

CREATE TABLE T_POS_NARUDZBE_BROJAC
(
    ID_KASE                         NUMERIC                             NOT NULL,
    NEXT_VALUE                      NUMERIC                             NOT NULL
);

CREATE TABLE T_POS_PORUKE
(
    ID                              NUMERIC                             NOT NULL,
    ID_KASE                         NUMERIC                             NOT NULL,
    TEKST                           VARCHAR(200)                        NOT NULL CHECK (TEKST <> ''),
    CLASS                           VARCHAR(200)                        NOT NULL CHECK (CLASS <> ''),
    VERZIJA                         NUMERIC                                     ,
    UNOS_KORISNIK                   VARCHAR(30)                                 ,
    UNOS_DATUM                      TIMESTAMP(0)                                ,
    IZMJENA_KORISNIK                VARCHAR(30)                                 ,
    IZMJENA_DATUM                   TIMESTAMP(0)
);


CREATE TABLE T_POS_RACUNI
(
    ID                              NUMERIC                             NOT NULL,
    GODINA                          NUMERIC                             NOT NULL,
    REDNI_BROJ_NARUDZBE             NUMERIC                             NOT NULL,
    REDNI_BROJ_RACUNA               NUMERIC                                     ,
    ID_KASE                         NUMERIC                             NOT NULL,
    ID_CJENIKA                      NUMERIC                             NOT NULL,
    ID_KONOBARA                     NUMERIC                             NOT NULL,
    BROJ_ISPISA                     NUMERIC                             NOT NULL,
    DATUM_I_VRIJEME                 TIMESTAMP(6)                        NOT NULL,
    ID_STORNA                       NUMERIC                                     ,
    ID_TARGET                       NUMERIC                                     ,
    DATUM                           TIMESTAMP(0)                        NOT NULL,
    STOL                            NUMERIC                             NOT NULL,
    KONOBAR_PODACI                  VARCHAR(100)                                ,
    DOMACA_VALUTA                   VARCHAR(3)                                  ,
    STRANA_VALUTA                   VARCHAR(3)                                  ,
    TECAJ                           NUMERIC(13,10)                              ,
    BROJ_GOSTIJU                    NUMERIC       DEFAULT (1)           NOT NULL,
    POREZNI_DOGADJAJ_ID             NUMERIC                                     ,
    VERZIJA                         NUMERIC                                     ,
    UNOS_KORISNIK                   VARCHAR(30)                                 ,
    UNOS_DATUM                      TIMESTAMP(0)                                ,
    IZMJENA_KORISNIK                VARCHAR(30)                                 ,
    IZMJENA_DATUM                   TIMESTAMP(0)                                ,
    NAPOMENA                        VARCHAR(1000)                               ,
    CJENIK_NAZIV                    VARCHAR(70)                                 ,
    POREZNI_DOG_NAZIV               VARCHAR(70)                                 ,
    CREATOR_ID                      NUMERIC                             NOT NULL,
    ID_IZVORA                       NUMERIC                                     ,
    POPUST_TIP                      VARCHAR(20)   DEFAULT ('POSTOTAK')  NOT NULL CHECK (POPUST_TIP <> ''),
    STOPA_POPUST                    NUMERIC(5,2)  DEFAULT (0)           NOT NULL,
    IZNOS_POPUST                    NUMERIC(12,2) DEFAULT (0)           NOT NULL,
    TOTAL                           NUMERIC(12,2) DEFAULT (0)           NOT NULL,
    STORNO_TIP                      VARCHAR(20)   DEFAULT ''                    ,
    OIB_KONOBARA                    VARCHAR(11)                                 ,
    JIR                             VARCHAR(36)                                 ,
    ZASTITNI_KOD                    VARCHAR(32)                                 ,
    PARAGON                         VARCHAR(100)                                ,
    VRIJEME_OTVARANJA               TIMESTAMP(6)                                ,
    MJESTO_PRIHODA                  VARCHAR(5)                                  ,
    FOREIGN_OPERATOR                VARCHAR(1)    DEFAULT ('N')         NOT NULL CHECK (FOREIGN_OPERATOR <> ''),
    PARAGON_SI                      VARCHAR(20)                                 ,
    PARAGON_SET                     VARCHAR(2)                                  ,
    PARAGON_SERIJA                  VARCHAR(12)                                 ,
    LOYALTY_BROJ                    VARCHAR(20)                                 ,
    LOYALTY_IME_PREZIME             VARCHAR(42)                                 ,
    PREPAID_CARD                    VARCHAR(20)                                 ,
    NACIN_POTROSNJE_CARD            VARCHAR(20)                                 ,
    STOLICA                         NUMERIC       DEFAULT -1                    ,
    MISH_SYNC_PODACI                VARCHAR(300)                                ,
    BROJ_NAPLATA                    NUMERIC       DEFAULT (0)           NOT NULL,
    VRIJEME_FISKALIZACIJE           TIMESTAMP(6)                                ,
    VANJSKI_SUSTAV                  VARCHAR(30)                                 ,
    PAYCARD_ID                      VARCHAR(20)                                 ,
    REDOSLIJED_SLIJEDA              NUMERIC       DEFAULT (0)           NOT NULL,
    NAZIV_KON_ZA_ISPIS              VARCHAR(40)                         NOT NULL CHECK (NAZIV_KON_ZA_ISPIS <> ''),
    PD_ZKI                          VARCHAR(32)                                 ,
    PD_JIR                          VARCHAR(36)                                 ,
    KOMENTAR_NARUDZBE               VARCHAR(800)                                ,
    ID_NARUDZBE_GOSTA               NUMERIC(32)                                 ,
    QR_IMAGE                        BYTEA                                       ,
    BR_ISPISA_PREDRACUNA            NUMERIC       default 0                     ,
    RBR_PREDRACUNA                  VARCHAR(100)                                ,
    ID_STORNO_AUTORIZIRAO           NUMERIC                                     ,
    STORNO_AUTORIZIRAO              VARCHAR(100)
);

CREATE TABLE T_POS_RACUNI_BROJAC
(
    ID_KASE                         NUMERIC                             NOT NULL,
    NEXT_VALUE                      NUMERIC                             NOT NULL
);

CREATE TABLE T_POS_STAVKE
(
    ID                              NUMERIC                             NOT NULL,
    ID_RACUNA                       NUMERIC                             NOT NULL,
    REDNI_BROJ                      NUMERIC                             NOT NULL,
    ID_ARTIKAL_CJENIKA              NUMERIC                             NOT NULL,
    KOLICINA                        NUMERIC(13,3)                       NOT NULL,
    JEDINICNA_CIJENA                NUMERIC(13,2)                       NOT NULL,
    POSLANA_NARUDZBA                VARCHAR(1)    DEFAULT ('N')         NOT NULL CHECK (POSLANA_NARUDZBA <> ''),
    ID_STORNA                       NUMERIC                                     ,
    KOMENTAR                        VARCHAR(200)                                ,
    SLIKOVNI_KOMENTAR               BYTEA                                       ,
    NAZIV                           VARCHAR(200)                                ,
    OSNOVICA_ZA_POREZ               NUMERIC(21,10)                              ,
    PDV_POSTOTAK                    NUMERIC(5,4)                                ,
    PDV                             NUMERIC(21,10)                              ,
    PPOT_POSTOTAK                   NUMERIC(5,4)                                ,
    PPOT                            NUMERIC(21,10)                              ,
    SLIJED                          VARCHAR(200)                                ,
    POSTOTAK_RACUNA                 NUMERIC(13,2)                               ,
    POREZNA_ISPORUKA_ID             NUMERIC                                     ,
    POPUST_POSTOTAK                 NUMERIC(5,4)                                ,
    POPUST                          NUMERIC(13,2)                               ,
    JEDINICNA_CIJENA_ORIGINAL       NUMERIC(13,2) DEFAULT (0)           NOT NULL,
    VERZIJA                         NUMERIC                                     ,
    UNOS_KORISNIK                   VARCHAR(30)                                 ,
    UNOS_DATUM                      TIMESTAMP(0)                                ,
    IZMJENA_KORISNIK                VARCHAR(30)                                 ,
    IZMJENA_DATUM                   TIMESTAMP(0)                                ,
    IZMJENJIVA_CIJENA               VARCHAR(1)    DEFAULT ('N')         NOT NULL CHECK (IZMJENJIVA_CIJENA <> ''),
    ID_KALKULACIJE                  NUMERIC                                     ,
    KRACI_NAZIV                     VARCHAR(30)                                 ,
    GAS_ID                          NUMERIC                                     ,
    IZNOS                           NUMERIC(12,2) DEFAULT (0)           NOT NULL,
    IZNOS_POPUST                    NUMERIC(12,2) DEFAULT (0)           NOT NULL,
    IZNOS_PDV                       NUMERIC(12,2) DEFAULT (0)           NOT NULL,
    IZNOS_PPOT                      NUMERIC(12,2) DEFAULT (0)           NOT NULL,
    STOPA_POPUST_MAX                NUMERIC(12,2) DEFAULT (0)           NOT NULL,
    STOPA_POPUST                    NUMERIC(5,2)  DEFAULT (0)           NOT NULL,
    STOPA_PDV                       NUMERIC(5,2)  DEFAULT (0)           NOT NULL,
    STOPA_PPOT                      NUMERIC(5,2)  DEFAULT (0)           NOT NULL,
    MJESTO_TROSKA_GAS_ID            NUMERIC                                     ,
    MJESTO_TROSKA_SIFRA             VARCHAR(20)                                 ,
    MJESTO_TROSKA_NAZIV             VARCHAR(40)                                 ,
    RASPODJELA_KOLICINA             NUMERIC       DEFAULT 0                     ,
    STORNO_TIP                      VARCHAR(10)   DEFAULT ''                    ,
    VRIJEME_DODAVANJA               TIMESTAMP(6)                                ,
    IZVOR_ID                        NUMERIC                                     ,
    POVRATNA_NAKNADA                NUMERIC(5,2)  DEFAULT (0)           NOT NULL,
    KNJIGOVODSTVENA_GRUPA           VARCHAR(2)                                  ,
    PARAMETAR                       VARCHAR(50)   DEFAULT ''                    ,
    ID_REZERVACIJE                  NUMERIC                                     ,
    ID_TERAPEUTA                    NUMERIC                                     ,
    PREUZETA_CIJENA                 NUMERIC                                     ,
    IME_PREZIME_TERAPEUTA           VARCHAR(40)                                 ,
    OZN_PROIZVODA                   NUMERIC(2,0)                                ,
    REDOSLIJED_SLIJEDA              NUMERIC       DEFAULT (0)           NOT NULL,
    ISKORISTENA_KOLICINA            NUMERIC(13,3) DEFAULT 0             NOT NULL
);

CREATE TABLE P_POS_NARUDZBE_GOSTA
(
    ID                              NUMERIC(32)                         NOT NULL,
    RBR                             VARCHAR(20)                         NOT NULL CHECK (RBR <> ''),
    SIFRA_CJENIKA                   VARCHAR(40)                         NOT NULL CHECK (SIFRA_CJENIKA <> ''),
    STOL                            VARCHAR(60)                         NOT NULL,
    DATUM_I_VRIJEME                 TIMESTAMP(6)                        NOT NULL,
    TOTAL                           NUMERIC(12,2)  DEFAULT (0)          NOT NULL,
    GAS_ID                          NUMERIC(32),
    SIFRA_VN                        VARCHAR(20) ,
    NAZIV_LOKACIJE                  VARCHAR(40) ,
    BROJ_SOBE                       VARCHAR(10) ,
    KOMENTAR                        VARCHAR(800) ,
    SO_GAS_ID                       NUMERIC(32) ,
    VRIJEME_DOSTAVE                 VARCHAR(20)
);

CREATE TABLE P_POS_NARUDZBE_GOSTA_STAVKE
(
    ID                              NUMERIC(32)                         NOT NULL,
    ID_NARUDZBE_GOSTA               NUMERIC(32)                         NOT NULL,
    SIFRA_ARTIKLA                   VARCHAR(40)                         NOT NULL CHECK (SIFRA_ARTIKLA <> ''),
    KOLICINA                        NUMERIC(5,3)                        NOT NULL,
    DATUM_I_VRIJEME                 TIMESTAMP(6)                        NOT NULL,
    IZNOS                           NUMERIC(13,2)                       NOT NULL
);


CREATE TABLE M_POS_STOL
(
ID                  NUMERIC(32)         NOT NULL        ,
ID_KASE             NUMERIC(32)         NOT NULL        ,
BROJ_STOLA          NUMERIC(32)                         ,
BROJ_STOLICA        NUMERIC             NOT NULL        ,
VERZIJA             NUMERIC                             ,
UNOS_KORISNIK       VARCHAR(30)                        ,
UNOS_DATUM          DATE                                ,
IZMJENA_KORISNIK    VARCHAR(30)                        ,
IZMJENA_DATUM       DATE
);

CREATE TABLE T_POS_REZERVACIJE_STOLA
(
ID                      NUMERIC(32)     NOT NULL            ,
ID_KASE                 NUMERIC(32)     NOT NULL            ,
ID_KONOBARA             NUMERIC(32)     NOT NULL            ,
BROJ_STOLA              NUMERIC(32)     NOT NULL            ,
IME_I_PREZIME           VARCHAR(40)     NOT NULL CHECK (IME_I_PREZIME <> ''),
BROJ_OSOBA              NUMERIC                             ,
NAPOMENA                VARCHAR(150)                        ,
DATUM_I_VRIJEME_OD      TIMESTAMP(6)    NOT NULL            ,
DATUM_I_VRIJEME_DO      TIMESTAMP(6)                        ,
STATUS                  VARCHAR(20)     NOT NULL CHECK (STATUS <> ''),
VERZIJA                 NUMERIC                             ,
UNOS_KORISNIK           VARCHAR(30)                        ,
UNOS_DATUM              TIMESTAMP(6)                        ,
IZMJENA_KORISNIK        VARCHAR(30)                        ,
IZMJENA_DATUM           TIMESTAMP(6)                        ,
KONOBAR_NAZIV           VARCHAR(40)    NOT NULL CHECK (KONOBAR_NAZIV <> '')
);

CREATE TABLE L_POS_DATA(
ID                      NUMERIC(32)         NOT NULL       ,
SIFRA_KASE              VARCHAR(20)                        ,
TIP                     VARCHAR(30)        NOT NULL CHECK (TIP<> '') ,
FUNKCIJA                VARCHAR(2000)      NOT NULL CHECK (FUNKCIJA<> '') ,
PORUKA                  VARCHAR(2000)      NOT NULL CHECK (PORUKA<> '') ,
VERZIJA                 VARCHAR(20)        NOT NULL CHECK (VERZIJA<> '') ,
NAPOMENA                VARCHAR(200)                        ,
STATUS                  VARCHAR(20)        NOT NULL CHECK (STATUS <> ''),
KORISNIK                VARCHAR(100)       NOT NULL CHECK (KORISNIK <> ''),
DATUM_I_VRIJEME         TIMESTAMP(6)       NOT NULL
);


ALTER TABLE M_POS_CJENICI_VN ADD CONSTRAINT M_POS_CJENVN_UK UNIQUE (ID_CJENIKA, ID_VRSTE_NAPLATE);
ALTER TABLE M_POS_CJENICI_VN ADD CONSTRAINT M_POS_CJENVN_PK PRIMARY KEY (ID);
ALTER TABLE M_POS_CJENICI_VN ADD CONSTRAINT M_POS_CJENVN_1_CK CHECK ( AKTIVNO in ('Y','N') );

ALTER TABLE M_POS_CJENICI_KONOBARA ADD CONSTRAINT M_POS_CJENKON_UK UNIQUE (ID_CJENIKA, ID_KONOBARA) ;
ALTER TABLE M_POS_CJENICI_KONOBARA ADD CONSTRAINT M_POS_CJENKON_PK PRIMARY KEY (ID);

ALTER TABLE T_POS_NARUDZBE_BROJAC ADD CONSTRAINT T_POS_NARBROJ_UK UNIQUE (ID_KASE, NEXT_VALUE);
ALTER TABLE T_POS_NARUDZBE_BROJAC ADD CONSTRAINT T_POS_NARBROJ_PK PRIMARY KEY (ID_KASE);

ALTER TABLE M_POS_PRINT_PARAMETRI ADD CONSTRAINT M_POS_PPAR_PK PRIMARY KEY (ID_KASE);

ALTER TABLE M_POS_POREZNE_GRUPE ADD CONSTRAINT M_POS_PG_UK UNIQUE (ID_KASE, SIFRA);
ALTER TABLE M_POS_POREZNE_GRUPE ADD CONSTRAINT M_POS_PG_PK PRIMARY KEY (ID);
ALTER TABLE M_POS_POREZNE_GRUPE ADD CONSTRAINT M_POS_PG_2_CK CHECK ( ppot >=  0 );
ALTER TABLE M_POS_POREZNE_GRUPE ADD CONSTRAINT M_POS_PG_1_CK CHECK ( pdv >=  0 );
ALTER TABLE M_POS_POREZNE_GRUPE ADD CONSTRAINT M_POS_PG_3_CK CHECK ( AKTIVNO in ('Y','N') );

ALTER TABLE M_POS_PID ADD CONSTRAINT M_POS_PID_UK UNIQUE (POREZNI_DOGADJAJ_ID, POCETNA_ISPORUKA_ID);
ALTER TABLE M_POS_PID ADD CONSTRAINT M_POS_PID_PK PRIMARY KEY (ID);
ALTER TABLE M_POS_PID ADD CONSTRAINT M_POS_PID_1_CK CHECK ( AKTIVNO in ('Y','N') );

ALTER TABLE T_POS_RACUNI ADD CONSTRAINT T_POS_RAC_UK UNIQUE (ID_KASE, GODINA, REDNI_BROJ_NARUDZBE);
ALTER TABLE T_POS_RACUNI ADD CONSTRAINT T_POS_RAC_PK PRIMARY KEY (ID);

ALTER TABLE T_POS_DETALJI_NAPLATE ADD CONSTRAINT T_POS_DNAP_PK PRIMARY KEY (ID);

ALTER TABLE M_POS_KOMPONENTE_STOLA ADD CONSTRAINT M_POS_KOMP_PK PRIMARY KEY (ID);

ALTER TABLE M_POS_VNS ADD CONSTRAINT M_POS_VNS_UK UNIQUE (ID_KASE, ID_VRSTANAPLATE);
ALTER TABLE M_POS_VNS ADD CONSTRAINT M_POS_VNS_PK PRIMARY KEY (ID);

ALTER TABLE L_POS_RACUNI_FISK ADD CONSTRAINT M_POS_FISK_UK UNIQUE (ID_FISK_PORUKE);
ALTER TABLE L_POS_RACUNI_FISK ADD CONSTRAINT M_POS_FISK_PK PRIMARY KEY (ID);

ALTER TABLE M_POS_VRSTE_NAPLATE ADD CONSTRAINT M_POS_VNAP_UK UNIQUE (ID_KASE, SIFRA);
ALTER TABLE M_POS_VRSTE_NAPLATE ADD CONSTRAINT M_POS_VNAP_PK PRIMARY KEY (ID);

ALTER TABLE T_POS_STAVKE ADD CONSTRAINT T_POS_STAV_UK UNIQUE (ID_RACUNA, REDNI_BROJ);
ALTER TABLE T_POS_STAVKE ADD CONSTRAINT T_POS_STAV_IC_CK CHECK ( IZMJENJIVA_CIJENA in ('Y','N') );
ALTER TABLE T_POS_STAVKE ADD CONSTRAINT T_POS_STAV_PK PRIMARY KEY (ID);
ALTER TABLE T_POS_STAVKE ADD CONSTRAINT T_POS_STAV_CK CHECK ( POSLANA_NARUDZBA IN ('Y', 'N') );

ALTER TABLE M_POS_LAYOUT_STOLA ADD CONSTRAINT M_POS_LAYOUT_STOLA_PK PRIMARY KEY (ID);

ALTER TABLE L_POS_LOG_PRINT ADD CONSTRAINT L_POS_LOG_PR_PK PRIMARY KEY (ID);

ALTER TABLE M_POS_MENU_SLOJ ADD CONSTRAINT M_POS_MSLOJ_PK PRIMARY KEY (ID);

ALTER TABLE M_POS_MENU_FUNKCIJE ADD CONSTRAINT M_POS_MFUNK_PK PRIMARY KEY (ID_ITEM);

ALTER TABLE M_POS_MENU_ITEM ADD CONSTRAINT M_POS_MITEM_PK PRIMARY KEY (ID);

ALTER TABLE L_POS_LOG ADD CONSTRAINT L_POS_LOG_PK PRIMARY KEY (ID);

ALTER TABLE M_POS_CHRON_JOB ADD CONSTRAINT M_POS_CJ_UK UNIQUE (ID_KASE, NAZIV, VRIJEME);
ALTER TABLE M_POS_CHRON_JOB ADD CONSTRAINT M_POS_CJ_PK PRIMARY KEY (ID);
ALTER TABLE M_POS_CHRON_JOB ADD CONSTRAINT M_POS_CJ_1_CK CHECK ( AKTIVNO in ('Y','N') );

ALTER TABLE M_POS_KONOBARI_LOZINKE ADD CONSTRAINT M_POS_KONLOZ_PK PRIMARY KEY (ID);

ALTER TABLE T_POS_NAPLATE_RACUNA ADD CONSTRAINT T_POS_NAPLATE_UK UNIQUE (ID_RACUNA, REDNI_BROJ);
ALTER TABLE T_POS_NAPLATE_RACUNA ADD CONSTRAINT T_POS_NAP_PK PRIMARY KEY (ID);

ALTER TABLE M_POS_MJESTA_TROSKA ADD CONSTRAINT M_POS_MTROS_UK UNIQUE (ID_KASE, SIFRA);
ALTER TABLE M_POS_MJESTA_TROSKA ADD CONSTRAINT M_POS_MTROS_PK PRIMARY KEY (ID);
ALTER TABLE M_POS_MJESTA_TROSKA ADD CONSTRAINT M_POS_MTROS_2_CK CHECK ( ISPIS_NARUDZBE in ('Y', 'N') );
ALTER TABLE M_POS_MJESTA_TROSKA ADD CONSTRAINT M_POS_MTROS_1_CK CHECK ( AKTIVNO in ('Y','N') );

ALTER TABLE M_POS_AKCIJE_KONOBARA ADD CONSTRAINT M_POS_AKCKON_UK UNIQUE (ID_KONOBARA, SIFRA_AKCIJE);
ALTER TABLE M_POS_AKCIJE_KONOBARA ADD CONSTRAINT M_POS_AKCKON_PK PRIMARY KEY (ID);

ALTER TABLE M_POS_KONOBARI ADD CONSTRAINT M_POS_KON_1_UK UNIQUE (ID_KASE, SIFRA);
ALTER TABLE M_POS_KONOBARI ADD CONSTRAINT M_POS_KON_PK PRIMARY KEY (ID);
ALTER TABLE M_POS_KONOBARI ADD CONSTRAINT M_POS_KON_1_CK CHECK ( AKTIVNO in ('Y','N') );

ALTER TABLE M_POS_POREZNI_DOGADJAJ ADD CONSTRAINT M_POS_PD_UK UNIQUE (ID_KASE, SIFRA);
ALTER TABLE M_POS_POREZNI_DOGADJAJ ADD CONSTRAINT M_POS_PD_PK PRIMARY KEY (ID);
ALTER TABLE M_POS_POREZNI_DOGADJAJ ADD CONSTRAINT M_POS_PD_1_CK CHECK ( AKTIVNO in ('Y','N') );

ALTER TABLE M_POS_ARTIKLI_CJENIKA ADD CONSTRAINT M_POS_ARTCJEN_UK UNIQUE (ID_CJENIKA, ID_ARTIKLA);
ALTER TABLE M_POS_ARTIKLI_CJENIKA ADD CONSTRAINT M_POS_ARTCJEN_PK PRIMARY KEY (ID);
ALTER TABLE M_POS_ARTIKLI_CJENIKA ADD CONSTRAINT M_POS_ARTCJEN_1_CK CHECK ( AKTIVNO in ('Y','N') );

ALTER TABLE M_POS_CJENICI ADD CONSTRAINT M_POS_CJEN_UK UNIQUE (ID_KASE, SIFRA);
ALTER TABLE M_POS_CJENICI ADD CONSTRAINT M_POS_CJEN_PK PRIMARY KEY (ID);
ALTER TABLE M_POS_CJENICI ADD CONSTRAINT M_POS_CJEN_1_CK CHECK ( AKTIVNO in ('Y','N') );

ALTER TABLE T_POS_INTERNET_TICKETI ADD CONSTRAINT T_POS_TIC_PK PRIMARY KEY (ID);

ALTER TABLE M_POS_KASE ADD CONSTRAINT M_POS_KAS_UK UNIQUE (SIFRA);
ALTER TABLE M_POS_KASE ADD CONSTRAINT M_POS_KAS_PK PRIMARY KEY (ID);
ALTER TABLE M_POS_KASE ADD CONSTRAINT M_POS_KAS_9_CK CHECK ( PRIJENOS_OTVORENIH in ('Y','N') );
ALTER TABLE M_POS_KASE ADD CONSTRAINT M_POS_KAS_8_CK CHECK ( PRIJAVA_PRI_NAPLATI in ('Y','N') );
ALTER TABLE M_POS_KASE ADD CONSTRAINT M_POS_KAS_7_CK CHECK ( NARUDZBE_UZ_IZLAZ in ('Y','N') );
ALTER TABLE M_POS_KASE ADD CONSTRAINT M_POS_KAS_6_CK CHECK ( NARUDZBE_UZ_NAPLATU in ('Y','N') );
ALTER TABLE M_POS_KASE ADD CONSTRAINT M_POS_KAS_5_CK CHECK (VISE_NAPLATA='Y' OR VISE_NAPLATA='N');
ALTER TABLE M_POS_KASE ADD CONSTRAINT M_POS_KAS_4_CK CHECK ( PRIKAZ_PROTUVRIJEDNOSTI in ('Y','N') );
ALTER TABLE M_POS_KASE ADD CONSTRAINT M_POS_KAS_3_CK CHECK ( JEDAN_CJENIK_PO_RACUNU in ('Y','N') );
ALTER TABLE M_POS_KASE ADD CONSTRAINT M_POS_KAS_2_CK CHECK ( DOZVOLJEN_UNOS in ('Y','N') );
ALTER TABLE M_POS_KASE ADD CONSTRAINT M_POS_KAS_1_CK CHECK ( AKTIVNO in ('Y','N') );
ALTER TABLE M_POS_KASE ADD CONSTRAINT M_POS_KAS_15_CK CHECK ( RAD_OTVORENIM_RACUNIMA in ('Y','N') );
ALTER TABLE M_POS_KASE ADD CONSTRAINT M_POS_KAS_13_CK CHECK ( OBAVEZAN_UNOS_BROJA_STOLA in ('Y','N') );
ALTER TABLE M_POS_KASE ADD CONSTRAINT M_POS_KAS_12_CK CHECK ( OBAVEZAN_UNOS_BROJA_GOSTIJU in ('Y','N') );
ALTER TABLE M_POS_KASE ADD CONSTRAINT M_POS_KAS_11_CK CHECK ( PRIKAZ_BROJA_GOSTIJU in ('Y','N') );
ALTER TABLE M_POS_KASE ADD CONSTRAINT M_POS_KAS_10_CK CHECK ( IZVOZ_PRI_ZATVARANJU in ('Y','N') );

ALTER TABLE M_POS_KUPCI ADD CONSTRAINT M_POS_KUP_UK UNIQUE (SIFRA);
ALTER TABLE M_POS_KUPCI ADD CONSTRAINT M_POS_KUP_PK PRIMARY KEY (ID);

ALTER TABLE M_POS_ARTIKLI ADD CONSTRAINT M_POS_ART_UK UNIQUE (ID_KASE, SIFRA);
ALTER TABLE M_POS_ARTIKLI ADD CONSTRAINT M_POS_ART_PK PRIMARY KEY (ID);
ALTER TABLE M_POS_ARTIKLI ADD CONSTRAINT M_POS_ART_3_CK CHECK ( POSTOTAK_RACUNA in ('Y','N') );
ALTER TABLE M_POS_ARTIKLI ADD CONSTRAINT M_POS_ART_1_CK CHECK ( IZMJENJIVA_CIJENA in ('Y','N') );

ALTER TABLE M_POS_KASA_PARAMETRI ADD CONSTRAINT M_POS_KP_PK PRIMARY KEY (ID);

ALTER TABLE M_POS_MENU_ARTIKAL ADD CONSTRAINT M_POS_MART_PK PRIMARY KEY (ID_ITEM);

ALTER TABLE M_POS_SLIJEDOVI ADD CONSTRAINT M_POS_SLIJED_UK UNIQUE (ID_KASE, NAZIV);
ALTER TABLE M_POS_SLIJEDOVI ADD CONSTRAINT M_POS_SLIJED_PK PRIMARY KEY (ID);

ALTER TABLE M_POS_PROTEL_POREZ ADD CONSTRAINT M_POS_PROTEL_POREZ_UK UNIQUE (STOPA_PDV, STOPA_PPOT);
ALTER TABLE M_POS_PROTEL_POREZ ADD CONSTRAINT M_POS_PROTEL_POREZ_PK PRIMARY KEY (ID);

ALTER TABLE M_POS_GRUPE_KASA ADD CONSTRAINT M_POS_GKAS_UK UNIQUE (SIFRA);
ALTER TABLE M_POS_GRUPE_KASA ADD CONSTRAINT M_POS_GKAS_PK PRIMARY KEY (ID);

ALTER TABLE T_POS_PORUKE ADD CONSTRAINT T_POS_POR_UK UNIQUE (ID_KASE, TEKST, CLASS);
ALTER TABLE T_POS_PORUKE ADD CONSTRAINT T_POS_POR_PK PRIMARY KEY (ID);


ALTER TABLE T_POS_RACUNI_BROJAC ADD CONSTRAINT T_POS_RACBROJ_UK UNIQUE (ID_KASE, NEXT_VALUE);
ALTER TABLE T_POS_RACUNI_BROJAC ADD CONSTRAINT T_POS_RACBROJ_PK PRIMARY KEY (ID_KASE);

ALTER TABLE M_POS_POREZNA_ISPORUKA ADD CONSTRAINT M_POS_PI_UK UNIQUE (ID_KASE, SIFRA);
ALTER TABLE M_POS_POREZNA_ISPORUKA ADD CONSTRAINT M_POS_PI_PK PRIMARY KEY (ID);
ALTER TABLE M_POS_POREZNA_ISPORUKA ADD CONSTRAINT M_POS_PI_1_CK CHECK ( AKTIVNO in ('Y','N') );

ALTER TABLE M_POS_PARAMETAR ADD CONSTRAINT M_POS_PARAM_UK UNIQUE (KEY);
ALTER TABLE M_POS_PARAMETAR ADD CONSTRAINT M_POS_PARAM_PK PRIMARY KEY (ID);

ALTER TABLE L_POS_LOG ADD CONSTRAINT L_POS_LOG_KAS_FK FOREIGN KEY (ID_KASE)
  REFERENCES M_POS_KASE (ID);

ALTER TABLE L_POS_LOG_PRINT ADD CONSTRAINT L_POS_LOG_KAS_PR_FK FOREIGN KEY (ID_KASE)
  REFERENCES M_POS_KASE (ID);
ALTER TABLE L_POS_LOG_PRINT ADD CONSTRAINT L_POS_LOG_RC_PR_FK FOREIGN KEY (ID_RACUNA)
  REFERENCES T_POS_RACUNI (ID);

ALTER TABLE L_POS_RACUNI_FISK ADD CONSTRAINT M_POS_FISK_RN_FK FOREIGN KEY (ID_RACUNA)
  REFERENCES T_POS_RACUNI (ID);

ALTER TABLE M_POS_AKCIJE_KONOBARA ADD CONSTRAINT M_POS_AKCKON_KON_FK FOREIGN KEY (ID_KONOBARA)
  REFERENCES M_POS_KONOBARI (ID);

ALTER TABLE M_POS_ARTIKLI ADD CONSTRAINT M_POS_ART_KAS_FK FOREIGN KEY (ID_KASE)
  REFERENCES M_POS_KASE (ID);
ALTER TABLE M_POS_ARTIKLI ADD CONSTRAINT M_POS_ART_PG_FK FOREIGN KEY (ID_POREZNE_GRUPE)
  REFERENCES M_POS_POREZNE_GRUPE (ID);

ALTER TABLE M_POS_ARTIKLI_CJENIKA ADD CONSTRAINT M_POS_ARTCJEN_ART_FK FOREIGN KEY (ID_ARTIKLA)
  REFERENCES M_POS_ARTIKLI (ID);
ALTER TABLE M_POS_ARTIKLI_CJENIKA ADD CONSTRAINT M_POS_ARTCJEN_CJEN_FK FOREIGN KEY (ID_CJENIKA)
  REFERENCES M_POS_CJENICI (ID);
ALTER TABLE M_POS_ARTIKLI_CJENIKA ADD CONSTRAINT M_POS_ARTCJEN_MTROS_FK FOREIGN KEY (ID_MJESTA_TROSKA)
  REFERENCES M_POS_MJESTA_TROSKA (ID);

ALTER TABLE M_POS_CHRON_JOB ADD CONSTRAINT M_POS_CJ_KAS_FK FOREIGN KEY (ID_KASE)
  REFERENCES M_POS_KASE (ID);

ALTER TABLE M_POS_CJENICI ADD CONSTRAINT M_POS_CJEN_KAS_FK FOREIGN KEY (ID_KASE)
  REFERENCES M_POS_KASE (ID);

ALTER TABLE M_POS_CJENICI_KONOBARA ADD CONSTRAINT M_POS_CJENKON_CJEN_FK FOREIGN KEY (ID_CJENIKA)
  REFERENCES M_POS_CJENICI (ID);
ALTER TABLE M_POS_CJENICI_KONOBARA ADD CONSTRAINT M_POS_CJENKON_KON_FK FOREIGN KEY (ID_KONOBARA)
  REFERENCES M_POS_KONOBARI (ID);

ALTER TABLE M_POS_CJENICI_VN ADD CONSTRAINT M_POS_CJENVN_CJEN_FK FOREIGN KEY (ID_CJENIKA)
  REFERENCES M_POS_CJENICI (ID);
ALTER TABLE M_POS_CJENICI_VN ADD CONSTRAINT M_POS_CJENVN_VNAP_FK FOREIGN KEY (ID_VRSTE_NAPLATE)
  REFERENCES M_POS_VRSTE_NAPLATE (ID);

ALTER TABLE M_POS_SLIJEDOVI ADD CONSTRAINT M_POS_SLIJED_KAS_FK FOREIGN KEY (ID_KASE)
  REFERENCES M_POS_KASE (ID);

ALTER TABLE M_POS_KASA_PARAMETRI ADD CONSTRAINT M_POS_KP_KAS_FK FOREIGN KEY (ID_KASE)
  REFERENCES M_POS_KASE (ID);

ALTER TABLE M_POS_KASE ADD CONSTRAINT M_POS_KAS_GKAS_FK FOREIGN KEY (ID_GRUPE_KASA)
  REFERENCES M_POS_GRUPE_KASA (ID);

ALTER TABLE M_POS_KOMPONENTE_STOLA ADD CONSTRAINT M_POS_KOMPONENTE_STOLA_FK FOREIGN KEY (ID_LAYOUTA_STOLA)
  REFERENCES M_POS_LAYOUT_STOLA (ID) ON DELETE CASCADE;

ALTER TABLE M_POS_KONOBARI ADD CONSTRAINT M_POS_KON_KAS_FK FOREIGN KEY (ID_KASE)
  REFERENCES M_POS_KASE (ID);

ALTER TABLE M_POS_KONOBARI_LOZINKE ADD CONSTRAINT M_POS_KONLOZ_KON_FK FOREIGN KEY (ID_KONOBARA)
  REFERENCES M_POS_KONOBARI (ID);

ALTER TABLE M_POS_LAYOUT_STOLA ADD CONSTRAINT M_POS_LAYOUT_STOLA_FK FOREIGN KEY (ID_KASE)
  REFERENCES M_POS_KASE (ID);

ALTER TABLE M_POS_MENU_ARTIKAL ADD CONSTRAINT M_POS_MART_MITEM_FK FOREIGN KEY (ID_ITEM)
  REFERENCES M_POS_MENU_ITEM (ID);

ALTER TABLE M_POS_MENU_FUNKCIJE ADD CONSTRAINT M_POS_MFUNK_MITEM_FK FOREIGN KEY (ID_ITEM)
  REFERENCES M_POS_MENU_ITEM (ID);

ALTER TABLE M_POS_MENU_ITEM ADD CONSTRAINT M_POS_MITEM_MSLOJ_FK FOREIGN KEY (ID_MENU_SLOJ)
  REFERENCES M_POS_MENU_SLOJ (ID);

ALTER TABLE M_POS_MENU_SLOJ ADD CONSTRAINT M_POS_MSLOJ_KAS_FK FOREIGN KEY (ID_KASE)
  REFERENCES M_POS_KASE (ID);

ALTER TABLE M_POS_MJESTA_TROSKA ADD CONSTRAINT M_POS_MTROS_KAS_FK FOREIGN KEY (ID_KASE)
  REFERENCES M_POS_KASE (ID);

ALTER TABLE M_POS_PID ADD CONSTRAINT M_POS_PID_PD_FK FOREIGN KEY (POREZNI_DOGADJAJ_ID)
  REFERENCES M_POS_POREZNI_DOGADJAJ (ID);
ALTER TABLE M_POS_PID ADD CONSTRAINT M_POS_PID_PI_FK FOREIGN KEY (ZAVRSNA_ISPORUKA_ID)
  REFERENCES M_POS_POREZNA_ISPORUKA (ID);

ALTER TABLE M_POS_POREZNA_ISPORUKA ADD CONSTRAINT M_POS_PI_1_FK FOREIGN KEY (ID_KASE)
  REFERENCES M_POS_KASE (ID);

ALTER TABLE M_POS_POREZNE_GRUPE ADD CONSTRAINT M_POS_PG_KAS_FK FOREIGN KEY (ID_KASE)
  REFERENCES M_POS_KASE (ID);
ALTER TABLE M_POS_POREZNE_GRUPE ADD CONSTRAINT M_POS_PG_PI_FK FOREIGN KEY (ZAV_PI_ID)
  REFERENCES M_POS_POREZNA_ISPORUKA (ID);

ALTER TABLE M_POS_POREZNI_DOGADJAJ ADD CONSTRAINT M_POS_PD_1_FK FOREIGN KEY (ID_KASE)
  REFERENCES M_POS_KASE (ID);

ALTER TABLE M_POS_PRINT_PARAMETRI ADD CONSTRAINT M_POS_PPAR_KAS_FK FOREIGN KEY (ID_KASE)
  REFERENCES M_POS_KASE (ID);

ALTER TABLE M_POS_VNS ADD CONSTRAINT M_POS_VNS_K_FK FOREIGN KEY (ID_KASE)
  REFERENCES M_POS_KASE (ID);
ALTER TABLE M_POS_VNS ADD CONSTRAINT M_POS_VNS_VN_FK FOREIGN KEY (ID_VRSTANAPLATE)
  REFERENCES M_POS_VRSTE_NAPLATE (ID);

ALTER TABLE M_POS_VRSTE_NAPLATE ADD CONSTRAINT M_POS_VNAP_KAS_FK FOREIGN KEY (ID_KASE)
  REFERENCES M_POS_KASE (ID);

ALTER TABLE T_POS_DETALJI_NAPLATE ADD CONSTRAINT T_POS_DNAP_NAP_FK FOREIGN KEY (ID_NAPLATE_RACUNA)
  REFERENCES T_POS_NAPLATE_RACUNA (ID);

ALTER TABLE T_POS_INTERNET_TICKETI ADD CONSTRAINT T_POS_TIC_KAS_FK FOREIGN KEY (ID_KASE)
  REFERENCES M_POS_KASE (ID);

ALTER TABLE T_POS_NAPLATE_RACUNA ADD CONSTRAINT T_POS_NAP_CJENVN_FK FOREIGN KEY (ID_CJENICI_VN)
  REFERENCES M_POS_CJENICI_VN (ID);
ALTER TABLE T_POS_NAPLATE_RACUNA ADD CONSTRAINT T_POS_NAP_RAC_FK FOREIGN KEY (ID_RACUNA)
  REFERENCES T_POS_RACUNI (ID);

ALTER TABLE T_POS_NARUDZBE_BROJAC ADD CONSTRAINT T_POS_NARBROJ_KAS_FK FOREIGN KEY (ID_KASE)
  REFERENCES M_POS_KASE (ID);

ALTER TABLE T_POS_PORUKE ADD CONSTRAINT T_POS_POR_KAS_FK FOREIGN KEY (ID_KASE)
  REFERENCES M_POS_KASE (ID);

ALTER TABLE T_POS_RACUNI ADD CONSTRAINT T_POS_RAC_CJEN_FK FOREIGN KEY (ID_CJENIKA)
  REFERENCES M_POS_CJENICI (ID);
ALTER TABLE T_POS_RACUNI ADD CONSTRAINT T_POS_RAC_KAS_FK FOREIGN KEY (ID_KASE)
  REFERENCES M_POS_KASE (ID);
ALTER TABLE T_POS_RACUNI ADD CONSTRAINT T_POS_RAC_KON_CRE_FK FOREIGN KEY (CREATOR_ID)
  REFERENCES M_POS_KONOBARI (ID);
ALTER TABLE T_POS_RACUNI ADD CONSTRAINT T_POS_RAC_KON_FK FOREIGN KEY (ID_KONOBARA)
  REFERENCES M_POS_KONOBARI (ID);
ALTER TABLE T_POS_RACUNI ADD CONSTRAINT T_POS_RAC_PD_FK FOREIGN KEY (POREZNI_DOGADJAJ_ID)
  REFERENCES M_POS_POREZNI_DOGADJAJ (ID);

ALTER TABLE T_POS_RACUNI_BROJAC ADD CONSTRAINT T_POS_RACBROJ_KAS_FK FOREIGN KEY (ID_KASE)
  REFERENCES M_POS_KASE (ID);

  ALTER TABLE P_POS_NARUDZBE_GOSTA ADD CONSTRAINT M_POS_NG_PK PRIMARY KEY (ID);

ALTER TABLE P_POS_NARUDZBE_GOSTA_STAVKE ADD CONSTRAINT M_POS_NSG_PK PRIMARY KEY(ID);
ALTER TABLE P_POS_NARUDZBE_GOSTA_STAVKE ADD CONSTRAINT P_POS_STAV_NAR_GOST_FK FOREIGN KEY(ID_NARUDZBE_GOSTA)
  REFERENCES P_POS_NARUDZBE_GOSTA(ID);

ALTER TABLE T_POS_RACUNI ADD CONSTRAINT T_POS_RACUN_NAR_GOST_FK FOREIGN KEY (ID_NARUDZBE_GOSTA)
  REFERENCES P_POS_NARUDZBE_GOSTA (ID);


ALTER TABLE T_POS_STAVKE ADD CONSTRAINT T_POS_STAV_ARTCJEN_FK FOREIGN KEY (ID_ARTIKAL_CJENIKA)
  REFERENCES M_POS_ARTIKLI_CJENIKA (ID);
ALTER TABLE T_POS_STAVKE ADD CONSTRAINT T_POS_STAV_PI_FK FOREIGN KEY (POREZNA_ISPORUKA_ID)
  REFERENCES M_POS_POREZNA_ISPORUKA (ID);
ALTER TABLE T_POS_STAVKE ADD CONSTRAINT T_POS_STAV_RAC_FK FOREIGN KEY (ID_RACUNA)
  REFERENCES T_POS_RACUNI (ID);


ALTER TABLE M_POS_STOL ADD CONSTRAINT M_POS_STOL_PK PRIMARY KEY (ID);
ALTER TABLE M_POS_STOL ADD CONSTRAINT M_POS_STOL_UK UNIQUE (BROJ_STOLA,ID_KASE);
ALTER TABLE M_POS_STOL ADD CONSTRAINT M_POS_STOL_KAS_FK FOREIGN KEY (ID_KASE)
  REFERENCES M_POS_KASE(ID);

ALTER TABLE T_POS_REZERVACIJE_STOLA ADD CONSTRAINT M_POS_REZ_STOL_PK PRIMARY KEY (ID);
ALTER TABLE T_POS_REZERVACIJE_STOLA ADD CONSTRAINT T_POS_REZ_STOL_KAS_FK FOREIGN KEY (ID_KASE)
  REFERENCES M_POS_KASE (ID);
ALTER TABLE T_POS_REZERVACIJE_STOLA ADD CONSTRAINT T_POS_REZ_STOL_KON_FK FOREIGN KEY (ID_KONOBARA)
  REFERENCES M_POS_KONOBARI (ID);

ALTER TABLE L_POS_DATA ADD CONSTRAINT L_POS_DATA_PK PRIMARY KEY (ID);

-- INDEKSI --

CREATE INDEX T_POS_NAP_CJENVN_FK_I ON T_POS_NAPLATE_RACUNA (ID_CJENICI_VN);

CREATE INDEX T_POS_STAV_ARTCJEN_FK_I ON T_POS_STAVKE (ID_ARTIKAL_CJENIKA);

CREATE INDEX M_POS_ART_KAS_FK_I ON M_POS_ARTIKLI (ID_KASE);

CREATE INDEX M_POS_PG_PI_FK_I ON M_POS_POREZNE_GRUPE (ZAV_PI_ID);

CREATE INDEX M_POS_ARTCJEN_MTROS_FK_I ON M_POS_ARTIKLI_CJENIKA (ID_MJESTA_TROSKA);

CREATE INDEX M_POS_MSLOJ_KAS_FK_I ON M_POS_MENU_SLOJ (ID_KASE);

CREATE INDEX L_POS_LOG_NAZ_DAT_I ON L_POS_LOG (ID_KASE, NAZIV, UNOS_DATUM);

CREATE INDEX M_POS_ARTCJEN_ART_FK_I ON M_POS_ARTIKLI_CJENIKA (ID_ARTIKLA);

CREATE INDEX T_POS_RAC_KON_CRE_FK_I ON T_POS_RACUNI (CREATOR_ID);

CREATE INDEX T_POS_RAC_SVI_I ON T_POS_RACUNI (ID_KASE, GODINA);

CREATE INDEX L_POS_LOG_PR_TIP_I ON L_POS_LOG_PRINT (ID_KASE, TIP);

CREATE INDEX M_POS_MTROS_KAS_FK_I ON M_POS_MJESTA_TROSKA (ID_KASE);

CREATE INDEX T_POS_NAP_RAC_CJENVN_I ON T_POS_NAPLATE_RACUNA (ID_RACUNA, ID_CJENICI_VN);

CREATE INDEX T_POS_RAC_KAS_FK_I ON T_POS_RACUNI (ID_KASE);

CREATE INDEX M_POS_MITEM_MSLOJ_FK_I ON M_POS_MENU_ITEM (ID_MENU_SLOJ);

CREATE INDEX M_POS_VNS_K_FK_I ON M_POS_VNS (ID_KASE);

CREATE INDEX T_POS_INT_KAS_RAC_I ON T_POS_INTERNET_TICKETI (ID_KASE, ID_RACUNA);

CREATE INDEX L_POS_LOG_NAZ_TIP_DAT_I ON L_POS_LOG (ID_KASE, NAZIV, TIP, DATUM_VRIJEME);

CREATE INDEX M_POS_CJ_KAS_FK_I ON M_POS_CHRON_JOB (ID_KASE);

CREATE INDEX T_POS_INT_KAS_I ON T_POS_INTERNET_TICKETI (ID_KASE);

CREATE INDEX M_POS_ART_PG_FK_I ON M_POS_ARTIKLI (ID_POREZNE_GRUPE);

CREATE INDEX M_POS_PID_ZPI_FK_I ON M_POS_PID (ZAVRSNA_ISPORUKA_ID);

CREATE INDEX L_POS_LOG_DAT_I ON L_POS_LOG (ID_KASE, UNOS_DATUM);

CREATE INDEX M_POS_CJENKON_KON_FK_I ON M_POS_CJENICI_KONOBARA (ID_KONOBARA);

CREATE INDEX M_POS_CJENKON_CJEN_FK_I ON M_POS_CJENICI_KONOBARA (ID_CJENIKA);

CREATE INDEX T_POS_RAC_STOR_I ON T_POS_RACUNI (ID_KASE, GODINA, ID_STORNA);

CREATE INDEX M_POS_KOMP_BR_I ON M_POS_KOMPONENTE_STOLA (BROJ_STOLA);

CREATE INDEX T_POS_RAC_KAS_CJEN_I ON T_POS_RACUNI (ID_KASE, ID_CJENIKA);

CREATE INDEX M_POS_KON_KAS_FK_I ON M_POS_KONOBARI (ID_KASE);

CREATE INDEX L_POS_LOG_NAZ_I ON L_POS_LOG (ID_KASE, NAZIV);

CREATE INDEX T_POS_POR_KAS_FK_I ON T_POS_PORUKE (ID_KASE);

CREATE INDEX M_POS_VNS_VN_FK_I ON M_POS_VNS (ID_VRSTANAPLATE);

CREATE INDEX L_POS_LOG_PR_TIP_DAT_I ON L_POS_LOG_PRINT (ID_KASE, TIP, DATUM_KASE);

CREATE INDEX T_POS_RACUNI_GOD_BRN ON T_POS_RACUNI (GODINA, REDNI_BROJ_NARUDZBE);

CREATE INDEX T_POS_RAC_KAS_RBR_I ON T_POS_RACUNI (ID_KASE, REDNI_BROJ_RACUNA);

CREATE INDEX M_POS_SLIJED_KAS_I ON M_POS_SLIJEDOVI (ID_KASE);

CREATE INDEX M_POS_CJEN_KAS_FK_I ON M_POS_CJENICI (ID_KASE);

CREATE UNIQUE INDEX T_POS_RACUNI_RBR_UK ON T_POS_RACUNI ((CASE WHEN REDNI_BROJ_RACUNA IS NOT NULL THEN (REDNI_BROJ_RACUNA ||', '|| ID_KASE ||', '|| GODINA) END ));

CREATE INDEX T_POS_STAV_RAC_POSL_I ON T_POS_STAVKE (ID_RACUNA, POSLANA_NARUDZBA);

CREATE INDEX T_POS_STAV_PI_FK_I ON T_POS_STAVKE (POREZNA_ISPORUKA_ID);

CREATE INDEX T_POS_NAP_RAC_FK_I ON T_POS_NAPLATE_RACUNA (ID_RACUNA);

CREATE INDEX L_POS_LOG_PR_PRINT_DAT_I ON L_POS_LOG_PRINT (ID_KASE, TIP, DATUM_I_VRIJEME_PRINTA);

CREATE UNIQUE INDEX M_POS_KONLOZ_1_UK ON M_POS_KONOBARI_LOZINKE (LOZINKA);

CREATE INDEX T_POS_STAV_RAC_FK_I ON T_POS_STAVKE (ID_RACUNA);

CREATE INDEX M_POS_KON_1_I ON M_POS_KONOBARI (ID_KASE, LOZINKA);

CREATE INDEX M_POS_PG_KAS_FK_I ON M_POS_POREZNE_GRUPE (ID_KASE);

CREATE INDEX M_POS_MART_I ON M_POS_MENU_ARTIKAL (ARTIKAL_SIFRA);

CREATE INDEX M_POS_ARTCJEN_CJEN_1_I ON M_POS_ARTIKLI_CJENIKA (ID_CJENIKA, AKTIVNO);

CREATE INDEX T_POS_RAC_KAS_DAT_I ON T_POS_RACUNI (ID_KASE, DATUM);

CREATE INDEX M_POS_CJENVN_VNAP_FK_I ON M_POS_CJENICI_VN (ID_VRSTE_NAPLATE);

CREATE INDEX T_POS_RAC_KAS_KON_I ON T_POS_RACUNI (ID_KASE, ID_KONOBARA);

CREATE INDEX T_POS_DNAP_NAP_NAZ_I ON T_POS_DETALJI_NAPLATE (ID_NAPLATE_RACUNA, NAZIV);

CREATE INDEX T_POS_RACUNI_XDP ON T_POS_RACUNI (ID_KASE, REDNI_BROJ_RACUNA, ID_STORNA, REDNI_BROJ_NARUDZBE);

CREATE INDEX L_POS_LOG_NAZ_TIP_I ON L_POS_LOG (ID_KASE, NAZIV, TIP);

CREATE INDEX M_POS_ARTCJEN_CJEN_FK_I ON M_POS_ARTIKLI_CJENIKA (ID_CJENIKA);

CREATE INDEX M_POS_CJENVN_CJEN_FK_I ON M_POS_CJENICI_VN (ID_CJENIKA);

CREATE INDEX M_POS_KONLOZ_1_I ON M_POS_KONOBARI_LOZINKE (ID_KONOBARA, LOZINKA);

CREATE INDEX M_POS_AKCKON_KON_FK_I ON M_POS_AKCIJE_KONOBARA (ID_KONOBARA);

CREATE INDEX M_POS_KAS_GKAS_FK_I ON M_POS_KASE (ID_GRUPE_KASA);

CREATE UNIQUE INDEX M_POS_LAYOUT_STOLA_I ON M_POS_LAYOUT_STOLA (ID_KASE, NAZIV);

CREATE INDEX T_POS_RAC_KON_FK_I ON T_POS_RACUNI (ID_KONOBARA);

CREATE INDEX T_POS_RAC_CJEN_FK_I ON T_POS_RACUNI (ID_CJENIKA);

CREATE INDEX M_POS_VNAP_KAS_FK_I ON M_POS_VRSTE_NAPLATE (ID_KASE);

CREATE INDEX L_POS_PR_LOG_ID_RC_I ON L_POS_LOG_PRINT (ID_KASE, ID_RACUNA);

CREATE INDEX T_POS_RAC_PD_FK_I ON T_POS_RACUNI (POREZNI_DOGADJAJ_ID);

CREATE INDEX T_POS_INT_RAC_I ON T_POS_INTERNET_TICKETI (ID_RACUNA);

CREATE INDEX M_POS_MSLOJ_KAS_1_I ON M_POS_MENU_SLOJ (ID_KASE, TIP);

CREATE INDEX T_POS_RAC_KOP_I ON T_POS_RACUNI (ID_KASE, GODINA, ID_IZVORA);

CREATE INDEX M_POS_CJEN_1_I ON M_POS_CJENICI (ID_KASE, AKTIVNO);

CREATE INDEX T_POS_DNAP_NAP_FK_I ON T_POS_DETALJI_NAPLATE (ID_NAPLATE_RACUNA);

CREATE INDEX M_POS_FISK_RN_FK_I ON L_POS_RACUNI_FISK (ID_RACUNA);


CREATE SEQUENCE HIBERNATE_SEQUENCE INCREMENT BY 1 MINVALUE 0 START WITH 1 NO CYCLE OWNED BY M_POS_PARAMETAR.ID;

INSERT INTO M_POS_PARAMETAR (ID, KEY, VALUE, VERZIJA) VALUES (nextval('HIBERNATE_SEQUENCE'), 'version', '58', 1);
INSERT INTO M_POS_PARAMETAR (ID, KEY, VALUE, VERZIJA) VALUES (nextval('HIBERNATE_SEQUENCE'), 'OFFLINE_SCHEMA', 'Y', 1);
INSERT INTO M_POS_PARAMETAR (ID, KEY, VALUE, VERZIJA) VALUES (nextval('HIBERNATE_SEQUENCE'), 'CONNECTION_TYPE', 'FILE', 1);

---zavrsena skripta 58------
